Bug 21428 - Switch two-column templates to Bootstrap grid: Reports part 1
Summary: Switch two-column templates to Bootstrap grid: Reports part 1
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-27 12:03 UTC by Owen Leonard
Modified: 2019-10-14 19:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1 (10.94 KB, patch)
2018-09-27 12:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1 (11.00 KB, patch)
2018-10-01 08:47 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1 (11.11 KB, patch)
2018-10-01 15:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-27 12:03:40 UTC
These two-column reports templates can be updated to use the Bootstrap grid.

 - reports/acquisitions_stats.tt
 - reports/bor_issues_top.tt
 - reports/borrowers_out.tt
 - reports/borrowers_stats.tt
 - reports/cash_register_stats.tt
 - reports/cat_issues_top.tt
Comment 1 Owen Leonard 2018-09-27 12:06:54 UTC
Created attachment 79488 [details] [review]
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1

This patch modifies several administration templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Acquisitions statistics wizard
 - Reports -> Patrons with the most checkouts
 - Reports -> Patrons who haven't checked out
 - Reports -> Patrons statistics wizard
 - Reports -> Cash register statistics wizard
 - Reports -> Most-circulated items
Comment 2 Claire Gravely 2018-10-01 08:47:02 UTC
Created attachment 79693 [details] [review]
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1

This patch modifies several administration templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Acquisitions statistics wizard
 - Reports -> Patrons with the most checkouts
 - Reports -> Patrons who haven't checked out
 - Reports -> Patrons statistics wizard
 - Reports -> Cash register statistics wizard
 - Reports -> Most-circulated items

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-10-01 15:05:17 UTC
Created attachment 79731 [details] [review]
Bug 21428: Update two-column templates with Bootstrap grid: Reports part 1

This patch modifies several administration templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Acquisitions statistics wizard
 - Reports -> Patrons with the most checkouts
 - Reports -> Patrons who haven't checked out
 - Reports -> Patrons statistics wizard
 - Reports -> Cash register statistics wizard
 - Reports -> Most-circulated items

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-10-02 00:14:17 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-08 08:29:07 UTC
Enhancement, will not be backported to 18.05.x series.